Page MenuHomePhabricator

Clash between rounded corners and text content is jarring for the category editor in VisualEditor when using the OOjs UI MediaWiki theme
Closed, ResolvedPublic1 Story Points

Description

See screenshot:

(A problem in Apex too, but feels worse in MW.)

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterFix styling of MWCategoryWidget to match MW theme

Event Timeline

Jdforrester-WMF raised the priority of this task from to Needs Triage.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF changed Security from none to None.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
Jdforrester-WMF triaged this task as Medium priority.Dec 9 2014, 8:33 PM
Jay8g added a subscriber: Jay8g.Dec 24 2014, 3:17 AM

Why aren't we just using a standard mw-ui form for this?

I agree, lets use the standard form field for this.

Why aren't we just using a standard mw-ui form for this?

Nothing in VisualEditor or the new OOjs UI front-end has anything to do with MediaWiki UI, which was built as an ad hoc provision for systems not yet using OOjs UI.

Jay8g added a comment.Jan 8 2015, 12:47 AM

Whatever you call it, (nearly) everything else in VE is using the standard form style first used in MediaWiki UI, while this is using something different and therefore looks weird and silly.

(The category selector really should be implemented using the kind of multiselect widget used here by Phabricator for lists of projects or people subscribed to the task, etc. (Phab calls them "tokenizers", which if you ask me is a pretty silly name.) Some of MediaWiki's forms also use something similar, e.g. on https://wikitech.wikimedia.org/wiki/Special:NovaSecurityGroup (alas, you need to be logged in to view that page, apparently).)

Change 183486 had a related patch set uploaded (by Esanders):
Fix styling of MWCategoryWidget to match MW theme

https://gerrit.wikimedia.org/r/183486

Patch-For-Review

The rounded corners are just left over the from Apex skin where they looked less out of place. Fixed in patch above.

Jdforrester-WMF moved this task from Backlog to Doing on the OOUI board.

Change 183486 merged by jenkins-bot:
Fix styling of MWCategoryWidget to match MW theme

https://gerrit.wikimedia.org/r/183486

Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.Jan 9 2015, 4:44 PM
Jdforrester-WMF closed this task as Resolved.Jan 9 2015, 4:44 PM
Jdforrester-WMF removed a subscriber: Ricordisamoa.

@Jdforrester-WMF Why shouldn't I be subscribed?

@Ricordisamoa, since you subscribed the same minute that @Jdforrester-WMF resolved this (and removed your subscription in the process), I'm assuming it was just Phabricator's lack of conflict detection. See T78236

I checked the resolution to this bug on deployment-prep and found that to close the category popup you actually have to click outside the button which opened it. But I would expect that clicking the button again (while the popup is still open) would close it.

I checked the resolution to this bug on deployment-prep and found that to close the category popup you actually have to click outside the button which opened it. But I would expect that clicking the button again (while the popup is still open) would close it.

Open a ticket?

Checked in betalabs - see the attached screenshot.

Verified the fix in Betalabs and test2

Jdforrester-WMF moved this task from Doing to Reviewing on the OOUI board.Mar 26 2015, 8:56 PM